Crystal Space: csList< T >::csListElement Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csList< T >::csListElement Struct Reference

Template which describes the data stored in the linked list For example a list of ints uses csListElement<int>. More...

`#include <csutil/list.h>`

List of all members.

## Public Member Functions
| csListElement (const T &d, csListElement *newnext, csListElement *newprev)
| Use specified data.
## Public Attributes
T | data
| Stored data.
csListElement * | next
| Next element in list. If this is the last one, then next is 0.
csListElement * | prev
| Previous element in list. If this is the first one, prev is 0.

## Detailed Description

### template<class T>
struct csList< T >::csListElement

Template which describes the data stored in the linked list For example a list of ints uses csListElement<int>.

Definition at line 41 of file list.h.

## Constructor & Destructor Documentation

template<class T>

csList< T >::csListElement::csListElement | ( | const T & | d,
|  | csListElement * | newnext,
|  | csListElement * | newprev |
| ) |  |  | `[inline]`

Use specified data.

Definition at line 44 of file list.h.

## Member Data Documentation

template<class T>

T csList< T >::csListElement::data

Stored data.

Definition at line 54 of file list.h.

Referenced by csList< T >::csList(), csList< T >::Iterator::FetchCurrent(), csList< T >::Iterator::FetchNext(), csList< T >::Iterator::FetchPrevious(), csList< iEventHandler * >::Front(), csList< iEventHandler * >::Last(), csList< T >::Iterator::Next(), csList< T >::Iterator::operator *(), csList< T >::Iterator::operator T *(), csList< T >::Iterator::operator->(), csList< T >::operator=(), and csList< T >::Iterator::Previous().

template<class T>

csListElement* csList< T >::csListElement::next

Next element in list. If this is the last one, then next is 0.

Definition at line 48 of file list.h.

Referenced by csList< T >::csList(), csList< T >::Delete(), csList< T >::DeleteAll(), csList< T >::Iterator::FetchNext(), csList< T >::Iterator::HasNext(), csList< T >::InsertAfter(), csList< T >::InsertBefore(), csList< T >::Iterator::IsLast(), csList< T >::MoveAfter(), csList< T >::MoveBefore(), csList< T >::Iterator::Next(), csList< T >::Iterator::operator++(), csList< T >::operator=(), and csList< T >::PushBack().

template<class T>

csListElement* csList< T >::csListElement::prev

Previous element in list. If this is the first one, prev is 0.

Definition at line 51 of file list.h.

Referenced by csList< T >::Delete(), csList< T >::Iterator::FetchPrevious(), csList< T >::Iterator::HasPrevious(), csList< T >::InsertAfter(), csList< T >::InsertBefore(), csList< T >::Iterator::IsFirst(), csList< T >::MoveAfter(), csList< T >::MoveBefore(), csList< T >::Iterator::operator--(), csList< T >::Iterator::Previous(), and csList< T >::PushFront().

The documentation for this struct was generated from the following file:

- csutil/list.h